package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Imf;
import com.brilliance.isc.common.invchk.vo.ImginfQueryVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ImfMapper {

    List<Imf> getImgrcdList(ImginfQueryVo imginfQueryVo);

    int updateStaImginf(ImginfQueryVo imginfQueryVo);

    int insert(Imf record);

    Imf selectByImfref(String ownref);

    Imf selectByPrimaryKey(String inr);

    int updateByPrimaryKey(Imf record);

    List<Imf> selectImfForCheck();

    int updateByInrList(@Param("inrList") List<String> inrList);

    List<Imf> selectByTrninr(String trninr);

    int updateImfrefstaByTrninr(String trninr);

    List<Imf> selectBySubref(String subref);

}
